OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
UnknownGRF Struct Reference

Structure for UnknownGRFs; this is a lightweight variant of GRFConfig. More...

Inheritance diagram for UnknownGRF:

## Data Fields
UnknownGRF * | next
| The next unknown GRF.
GRFTextWrapper * | name
| Name of the GRF.
Data Fields inherited from GRFIdentifier
uint32 | grfid
| GRF ID (defined by Action 0x08)
uint8 | md5sum [16]
| MD5 checksum of file to distinguish files with the same GRF ID (eg. newer version of GRF)

## Additional Inherited Members
Public Member Functions inherited from GRFIdentifier
bool | HasGrfIdentifier (uint32 grfid, const uint8 *md5sum) const
| Does the identification match the provided values?

## Detailed Description

Structure for UnknownGRFs; this is a lightweight variant of GRFConfig.

Definition at line 831 of file newgrf_config.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_config.cpp